{
    "path": "$OET_PATH/testcases/function_test/pkg_test/enca/enca",
    "machine num": 1,
    "cases": [
        {
            "name": "test_enca_function_install",
            "desc": "Test enca package installation"
        },
        {
            "name": "test_enca_enca_upper_e",
            "desc": "enca 设置外部转换程序路径"
        },
        {
            "name": "test_enca_enca_upper_g",
            "desc": "enca 打印完整的 enca 许可证并退出"
        },
        {
            "name": "test_enca_enca_h",
            "desc": "enca 打印帮助信息并退出"
        },
        {
            "name": "test_enca_enca_l",
            "desc": "enca 打印指定的列表并退出"
        },
        {
            "name": "test_enconv_upper_v_verbose",
            "desc": "使用 enconv 命令并增加详细输出级别"
        },
        {
            "name": "test_enconv_version",
            "desc": "使用 enconv 命令的 version 参数打印版本信息并退出"
        },
        {
            "name": "test_enconv_no_file_stdin",
            "desc": "使用 enconv 命令不指定文件，从标准输入读取内容进行自动转换"
        },
        {
            "name": "test_enca_function_uninstall",
            "desc": "Test enca package removal"
        },
        {
            "name": "test_enca_function_version",
            "desc": "Test printing enca version"
        },
        {
            "name": "test_enca_function_help",
            "desc": "Test enca help output"
        }
    ]
}